summaryrefslogtreecommitdiffstats
path: root/office/mtp2-fonts
diff options
context:
space:
mode:
author Alexander Verbovetsky2017-05-24 03:37:16 +0200
committer Willy Sudiarto Raharjo2017-05-27 02:30:50 +0200
commit2dbd65dc145dfd420b97ee215e36eab16d28ba0b (patch)
tree1f7ab8510417e3ba7fdadd009e656400ab7150e9 /office/mtp2-fonts
parent8a4d2708a23f684f4570c341f1e11aa32da12990 (diff)
downloadslackbuilds-2dbd65dc145dfd420b97ee215e36eab16d28ba0b.tar.gz
office/mtp2-fonts: Added (Times-compatible math TeX fonts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/mtp2-fonts')
-rw-r--r--office/mtp2-fonts/README13
-rw-r--r--office/mtp2-fonts/README.SBo16
-rw-r--r--office/mtp2-fonts/doinst.sh18
-rw-r--r--office/mtp2-fonts/mtp2-fonts.SlackBuild76
-rw-r--r--office/mtp2-fonts/mtp2-fonts.info10
-rw-r--r--office/mtp2-fonts/slack-desc19
6 files changed, 152 insertions, 0 deletions
diff --git a/office/mtp2-fonts/README b/office/mtp2-fonts/README
new file mode 100644
index 0000000000..519c6ad3ad
--- /dev/null
+++ b/office/mtp2-fonts/README
@@ -0,0 +1,13 @@
+MathTime Professional ver. 2 (MTPro2) fonts are mathematical TeX fonts
+compatible with the Times Roman text fonts. They were created by
+Michael Spivak of Publish or Perish Press. These are high-quality
+commercial fonts. There is a free subset called "MTPro2 Lite" that
+consists of 15 fonts and replaces the Computer Modern math fonts. The
+complete set consists of 68 fonts and provides also script, curly,
+Fraktur, bold math, blackboard bold fonts, and AMS symbols.
+
+This SlackBuild can be used with both lite and complete MTPro2 font sets
+and with both texlive and Slackware's tetex TeX distributions.
+
+The complete fonts set zip archive should be named as mtp2fonts.zip.tpm
+or mtp2fonts.zip
diff --git a/office/mtp2-fonts/README.SBo b/office/mtp2-fonts/README.SBo
new file mode 100644
index 0000000000..6b889d31f9
--- /dev/null
+++ b/office/mtp2-fonts/README.SBo
@@ -0,0 +1,16 @@
+To clean up your TeX installation after removing mtp2-fonts, please do
+the following (as root):
+
+1. Delete the line
+Map mtpro2.map
+from
+/usr/share/texmf-local/web2c/updmap.cfg (for texlive)
+or
+/usr/share/texmf-config/web2c/updmap.cfg (for tetex)
+
+2. For texlive, if /usr/share/texmf-local/web2c/updmap.cfg becomes
+empty, delete it.
+
+3. Run mktexlsr
+
+4. Run updmap-sys
diff --git a/office/mtp2-fonts/doinst.sh b/office/mtp2-fonts/doinst.sh
new file mode 100644
index 0000000000..81b7a9ab11
--- /dev/null
+++ b/office/mtp2-fonts/doinst.sh
@@ -0,0 +1,18 @@
+if [ -x /usr/bin/mktexlsr ]; then
+ if ! grep -qFs " mtpro2.map" /usr/share/texmf-local/web2c/updmap.cfg ; then
+ mkdir -p /usr/share/texmf-local/web2c
+ echo "Map mtpro2.map" >> /usr/share/texmf-local/web2c/updmap.cfg
+ fi
+ chroot . /usr/bin/mktexlsr >/dev/null 2>&1
+ if [ -x /usr/bin/updmap-sys ]; then
+ chroot . /usr/bin/updmap-sys >/dev/null 2>&1
+ fi
+else
+ if [ -x /usr/share/texmf/bin/mktexlsr ]; then
+ chroot . /usr/share/texmf/bin/mktexlsr >/dev/null 2>&1
+ fi
+ if [ -x /usr/share/texmf/bin/updmap-sys ]; then
+ chroot . /usr/share/texmf/bin/updmap-sys --enable Map mtpro2.map \
+ >/dev/null 2>&1
+ fi
+fi
diff --git a/office/mtp2-fonts/mtp2-fonts.SlackBuild b/office/mtp2-fonts/mtp2-fonts.SlackBuild
new file mode 100644
index 0000000000..b4429c26c0
--- /dev/null
+++ b/office/mtp2-fonts/mtp2-fonts.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for mtp2-fonts
+
+# Copyright 2017, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mtp2-fonts
+VERSION=${VERSION:-2.1a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+unzip -d $PRGNAM-$VERSION $CWD/mtp2*zip*
+chmod -R -x+X $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+if [ -d mtp2* ] ; then
+ cd mtp2*
+fi
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -r texmf/dvips
+find . \
+ \( -name "*.txt" -o -name "*.tex" -o -name "*.fd" -o -name "*.map" \
+ -o -name "*.sty" -o -name "*.tpm" \) -exec sed -i 's/\r$//' {} \;
+cp -a texmf $PKG/usr/share/texmf-local
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a templates EULA-MTPro2*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/texmf-local/doc/fonts/mtpro2/guide2.pdf
+ ln -s ../../share/texmf-local/doc/fonts/mtpro2/mtpro2.pdf
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mtp2-fonts/mtp2-fonts.info b/office/mtp2-fonts/mtp2-fonts.info
new file mode 100644
index 0000000000..64a73176cd
--- /dev/null
+++ b/office/mtp2-fonts/mtp2-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="mtp2-fonts"
+VERSION="2.1a"
+HOMEPAGE="http://pctex.com/mtpro2.html"
+DOWNLOAD="http://mirrors.ctan.org/fonts/mtp2lite.zip"
+MD5SUM="afd69b0d82ec8b32b7b012e5cfcd7d00"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/office/mtp2-fonts/slack-desc b/office/mtp2-fonts/slack-desc
new file mode 100644
index 0000000000..58f93e53d5
--- /dev/null
+++ b/office/mtp2-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mtp2-fonts: mtp2-fonts (Times-compatible math TeX fonts)
+mtp2-fonts:
+mtp2-fonts: MathTime Professional ver 2 (MTPro2) fonts are mathematical TeX fonts
+mtp2-fonts: compatible with the Times Roman text fonts. They were created by
+mtp2-fonts: Michael Spivak of Publish or Perish Press. These are high-quality
+mtp2-fonts: commercial fonts. There is a free subset called "MTPro2 Lite" that
+mtp2-fonts: consists of 15 fonts and replaces the Computer Modern math fonts. The
+mtp2-fonts: complete set consists of 68 fonts and provides also script, curly,
+mtp2-fonts: Fraktur, bold math, blackboard bold fonts, and AMS symbols.
+mtp2-fonts:
+mtp2-fonts: Homepage: http://pctex.com/mtpro2.html